oci_set_prefetch
ocibindbyname
OCI8 Functions
PHP Manual

# oci_statement_type

(PHP 5, PECL oci8:1.1-1.2.4)

oci_statement_type — Returns the type of an OCI statement

### Description

string oci_statement_type ( resource `$statement` )

Returns the type of the provided OCI `statement` .

### Parameters

`statement`

  A valid OCI statement identifier.

### Return Values

Returns the query type of`statement` as one of the following values:

1. SELECT
2. UPDATE
3. DELETE
4. INSERT
5. CREATE
6. DROP
7. ALTER
8. BEGIN
9. DECLARE
10. CALL (since PHP 5.2.1 and OCI8 1.2.3)
11. UNKNOWN

Returns `FALSE` on error.

### Examples

Example #1 oci_statement_type() example

`<?php
$conn = oci_connect("scott", "tiger");
$sql = "delete from emp where deptno = 10";
$stmt = oci_parse($conn, $sql);
if (oci_statement_type($stmt) == "DELETE") {
die("You are not allowed to delete from this table<br />");
}
oci_close($conn);
?>`

### Notes

> Note: In PHP versions before 5.0.0 you must use ocistatementtype() instead. This name still can be used, it was left as alias of oci_statement_type() for downwards compatability. This, however, is deprecated and not recommended.

oci_set_prefetch
ocibindbyname
OCI8 Functions
PHP Manual